Download it now!
Bug 33361 - FILEOPEN: Importing pptx files into Impress discards crop information of all images
Summary: FILEOPEN: Importing pptx files into Impress discards crop information of all ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 RC4
Hardware: All Linux (All)
: medium normal
Assignee: Radek Doulik
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-22 03:37 UTC by Marcel Stimberg
Modified: 2012-04-15 09:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation that demonstrated problem saving in PPTX (14.78 KB, application/vnd.oasis.opendocument.presentation)
2011-02-28 01:23 UTC, sasha.libreoffice
Details
image used in presentation (545 bytes, image/png)
2011-03-08 22:21 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Stimberg 2011-01-22 03:37:23 UTC
Reported Lyle Gordon in the Ubuntu bug tracker for Libreoffice 3.3.0~rc4-1ubuntu1:
[https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/705962]

"Upon loading a pptx file into Libreoffice Impress from MS Office 2007 or 2008 (prepared on windows 7) all the cropping information of the included images is lost. The images resort to their full dimensions and are often scaled anisotropically to fit into their previous dimensions. The dimensions of the images are maintained but the crop information is lost. Other than this bug everything seems to import well. It would be great o have this work.

I believe the difference between cropped and uncropped (and potentially the line that is being ignored) is:

<a:ext cx="2796737" cy="6065838"/>

in the file /ppt/slides/slide1.xml"

this is an example document showing the issue:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/705962/+attachment/1802370/+files/example%20cropped.pptx
This is a screenshot of the correct rendering under windows:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/705962/+attachment/1802369/+files/powerpoint.png

Another remark: The thumbnailer from the libgsf project produces a correct thumbnail.
Comment 1 Noel Power 2011-01-24 03:00:01 UTC
should say reproduced this on rc4
Comment 2 sasha.libreoffice 2011-02-22 03:14:26 UTC
on 3.3.0 release too
Comment 3 sasha.libreoffice 2011-02-28 01:23:57 UTC
Created attachment 43916 [details]
presentation that demonstrated problem saving in PPTX

Libre Office 3.3.1.2 on Mandriva 64bit not saves crop information in pptx format. To reproduce this problem start this attachment, save as pptx and open then with MSoffice 2007. MS office 2003 with compaibilith extension can not open this file.
Comment 4 sasha.libreoffice 2011-03-08 22:21:48 UTC
Created attachment 44259 [details]
image used in presentation
Comment 5 sasha.libreoffice 2011-05-16 08:26:06 UTC
in Libreoffice 3.4 beta 5 works ok on Mandriva 64 bit and Windows 32 bit. I hope it fixed. Thanks!
Comment 6 Korrawit Pruegsanusak 2011-09-10 09:34:04 UTC
For original report (Marcel's), I tested his document and results are:
3.4.3 WORK
3.3.4 FAIL

Anyway, if it seems no known specific fix, please use WORKSFORME instead of FIXED. Thanks.
Comment 7 Korrawit Pruegsanusak 2012-04-15 09:36:04 UTC
For the export (save) to .pptx issue in comment 3, I created spin-off to bug 48735.